﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Collections.Generic;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class SelectNodeServerSide : System.Web.UI.Page 
{
   

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            RadTreeNode rootNode1 = new RadTreeNode("root Node 1");
            rootNode1.ExpandMode = TreeNodeExpandMode.ServerSideCallBack;
            RadTreeView1.Nodes.Add(rootNode1);
            RadTreeNode rootNode2 = new RadTreeNode("root Node 2");
            rootNode2.ExpandMode = TreeNodeExpandMode.WebService;
            RadTreeView1.Nodes.Add(rootNode2);
        }
    }
    protected void RadTreeView1_ContextMenuItemClick(object sender, RadTreeViewContextMenuEventArgs e)
    {
        Label1.Text = e.Node.Text;
       
    }
    protected void RadTreeView1_NodeExpand(object sender, RadTreeNodeEventArgs e)
    {
        for (int i = 0; i < 5; i++)
        {
            RadTreeNode currentNode = new RadTreeNode();
            currentNode.Text = "ServiceSideCallBack Node " + i;
            currentNode.ExpandMode = TreeNodeExpandMode.WebService;
            e.Node.Nodes.Add(currentNode);
        }
    }
}
